Get_Environment(special file)

NAME
Get_Environment — get a tool's environment

SYNOPSIS

Get_Environment(in string variable,
        out string value
        [...]);

DESCRIPTION

The Get_Environment request reports the value of the indicated environment variable(s).

The variable argument is the name of the environment variable to get.

The value argument is the value of the environment variable. If no value (in other words, (char *)0) is returned for this argument, then the variable was not present in the handler's environment. This condition is not an error. If an empty string (in other words, "") is returned for this argument, then the variable was present in the handler's environment, but had a null value.

APPLICATION USAGE

The ttdt_session_join(3), function can be used to register for, and transparently process, the Get_Environment request.

SEE ALSO

ttdt_session_join(3); Set_Environment request.